CLBLAS(1)

NAME
clBLAS-client - program to test different options for the OpenCL BLAS library

DESCRIPTION

  clBLAS client command line options:

-h [ --help ]
    produces this help message

-g [ --gpu ]
    Force instantiation of an OpenCL GPU device

-c [ --cpu ]
    Force instantiation of an OpenCL CPU device

-a [ --all ]
    Force instantiation of all OpenCL devices

--useimages
    Use an image-based kernel

-m [ --sizem ] arg (=128)
    Number of rows in A and C

-n [ --sizen ] arg (=128)
    Number of columns in B and C

-k [ --sizek ] arg (=128)
    Number of columns in A and rows in B

--lda arg (=0)
    First dimension of A in memory.
    if set to 0, lda will default to M (when transposeA is "no transpose")
    or K (otherwise)

--ldb arg (=0)
    First dimension of B in memory.
    if set to 0, ldb will default to K (when transposeB is "no transpose")
    or N (otherwise)

--ldc arg (=0)
    First dimension of C in memory.
    if set to 0, ldc will default to M

--offA arg (=0)
    Offset of the matrix A in memory object

--offBX arg (=0)
    Offset of the matrix B or vector X in memory object

--offCY arg (=0)
    Offset of the matrix C or vector Y in memory object

--alpha arg (=1)
    Specifies the scalar alpha

--beta arg (=1)
    Specifies the scalar beta

-o [ --order ] arg (=0)
    0 = row major, 1 = column major

--transposeA arg (=0)
    0 = no transpose, 1 = transpose, 2 = conjugate transpose

--transposeB arg (=0)
    0 = no transpose, 1 = transpose, 2 = conjugate transpose

-f [ --function ] arg (=gemm)
    BLAS function to test.
    Options: gemm, trsm, trmm, gemv, symv, syrk, syr2k

-r [ --precision ] arg (=s)
    Options: s,d,c,z

--side arg (=0)
    0 = left, 1 = right.
    only used with [list of function families]

--uplo arg (=0)
    0 = upper, 1 = lower.
    only used with [list of function families]

--diag arg (=0)
    0 = unit diagonal, 1 = non unit diagonal.
    only used with [list of function families]

-p [ --profile ] arg (=20)
    Time and report the kernel speed (default: profiling off)

--roundtrip arg (=noroundtrip)
    Including the time of OpenCL memory allocation and transportation
    Options: roundtrip, noroundtrip(default)

--memalloc arg (=default)
    Setting the memory allocation flags for OpenCL
    no effect if roundtrip time is not measured
    Options: default(default), alloc_host_ptr, use_host_ptr,
    copy_host_ptr, use_persistent_mem_amd, rect_mem

COPYRIGHT
Copyright © 2015 Ghislain Antony Vaillant

This manual page was written for the Debian system.

Permission is granted to copy, distribute and/or modify
this document under the terms of the BSD 2-Clause license.